Bug 447052 - cups won't start because of ldap linking problem
cups won't start because of ldap linking problem
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-17 09:16 EDT by Luis Villa
Modified: 2008-05-17 13:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-17 11:56:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luis Villa 2008-05-17 09:16:51 EDT
[louie@towel ~]$ sudo /etc/init.d/cups start
Starting cups: cupsd: error while loading shared libraries: libldap-2.3.so.0:
cannot open shared object file: No such file or directory

Note that symlinking libldap-2.4.so.2 to libldap-2.3.so.0 allows cups to start,
but then I get an authentication message from system-config-printer that I've
never seen before- possibly that is because of ldap? Dunno. (This is a purely
local setup, I have never used ldap in my life :)

Version info:
[louie@towel ~]$ rpm -qi cups
Name        : cups                         Relocations: (not relocatable)
Version     : 1.3.7                             Vendor: Fedora Project
Release     : 2.fc8                         Build Date: Fri 09 May 2008 06:57:21

[louie@towel ~]$ rpm -qi openldap
Name        : openldap                     Relocations: (not relocatable)
Version     : 2.4.8                             Vendor: Fedora Project
Release     : 3.fc9                         Build Date: Wed 05 Mar 2008 08:04:24
Comment 1 Tim Waugh 2008-05-17 11:56:24 EDT
Looks like you haven't applied the updates.  There is a cups-1.3.7-2.fc9 update,
which is newer than your F-8 package.
Comment 2 Luis Villa 2008-05-17 13:18:00 EDT
Yum says there are no updates; must be a residual problem from preupgrade. Funfun.

Note You need to log in before you can comment on or make changes to this bug.